#INCLUDE "..\..\VFPRes.h" && ZDE NUTNÉ

=MESSAGEBOX("Toto je knihovna lokalizovaných zdrojů.")
RETURN

********************************************************************************
* tato procedura vyplní předaný objekt informacema o zdrojích
********************************************************************************
PROCEDURE FillObject(loObj)
* loObj - Objekt jehož vlastnosti se vyplní

* ukázkový kód:
loObj.StringTable="XXT000.DBF" && název tabulky stringů
loObj.MenuTable="XXT001.DBF" && název tabulky menu
loObj.DialogVCX="CVP.VCX" && název knihovny VCX
loObj.FontCharSet=238

* Poznámka:
* Pokud se nějaká vlastnost nenaplní, pak se nebude takový zdroj zavádět
RETURN

********************************************************************************
* tato procedura vyplní předaný objekt informacema o namapování popisů jazyků
********************************************************************************
PROCEDURE MapLanguage(loObj)
* loObj - Objekt jehož vlastnosti se vyplní

* nyní se naplní mapovaní popisů jazyka
loObj.iMapLanguage=5
DIME loObj.aMapLanguage(loObj.iMapLanguage,2)

loObj.aMapLanguage(1,1)="CZECH"
loObj.aMapLanguage(1,2)="Čeština"
loObj.aMapLanguage(2,1)="SLOVAK"
loObj.aMapLanguage(2,2)="Slovenština"
loObj.aMapLanguage(3,1)="ENGLISH"
loObj.aMapLanguage(3,2)="Angličtina"
loObj.aMapLanguage(4,1)="FRENCH"
loObj.aMapLanguage(4,2)="Francouština"
loObj.aMapLanguage(5,1)="RUSSIAN"
loObj.aMapLanguage(5,2)="Ruština"

RETURN

********************************************************************************
* Tato procedura vrací chybové hlášení (pokud selže zavedení) dle typu zdroje
********************************************************************************
PROCEDURE ReturnErrString(liTypeID,lcMsg)
* liTypeID - typ zdroje
*@lcMsg    - Sem se vrátí chybová hláška
lcMsg=IIF(liTypeID=Res_Type_Menu,"Nepodařilo se zavést tabulku menu.",;
       IIF(liTypeID=Res_Type_String,"Nepodařilo se zavést tabulku řetězců",;
       IIF(liTypeID=Res_Type_Dlg,"Nepodařilo se zavést visuální knihovnu","Neznámý zdroj dat")))
       

********************************************************************************
* tato procedura otevře tabulku v aplikaci
* !!!! NEMĚNIT !!!!
********************************************************************************
PROCEDURE OpenTable(lcCommand)
* lcCommand - kompletní příkaz pro otevření tabulky
&lcCommand.
RETURN




